%global pkg_name        Text-Autoformat
%global pkg_version     v1.14.0
%global rpm_pkg_version 1.14.0
%global rpm_pkg_release 1.n0i.3

Summary:       Automatic text wrapping and reformatting
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Reform) >= 1.11
BuildRequires: perl(Text::Tabs)
BuildRequires: perl(version)

%global perl_filter_prov 'Hang'


%description
The fundamental task of the "autoformat" subroutine is to identify and
rearrange independent paragraphs in a text. Paragraphs typically consist of
a series of lines containing at least one non-whitespace character,
followed by one or more lines containing only optional whitespace. This is
a more liberal definition than many other formatters use: most require an
empty line to terminate a paragraph. Paragraphs may also be denoted by
bulleting, numbering, or quoting (see the following sections). Once a
paragraph has been isolated, "autoformat" fills and re-wraps its lines
according to the margins that are specified in its argument list.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Sep 30 2007 Marius Feraru <altblue@n0i.net> - 1.14.0-1.n0i.3.v1.14.0
- v1.14.0

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.13-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8
- version 1.13

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 1.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
